/*****************************************************************
 *
 * XPlay:   Audio Control Panel            version 2.1
 *
 * File:    about.c  (About)
 *
 * Date:    Sep, 1, 1993
 *
 * By:      Atsushi Hirahara
 *          School of Science and Engineering, Waseda University,
 *          hirahara@fuka.info.waseda.ac.jp
 *
 *****************************************************************/

#include "xplay.h"
/*
#include "bitmaps/sff.xpm"
#include "bitmaps/about.xpm"
*/
#include "bitmaps/sff.xbm"
#include "bitmaps/about.xbm"
#include "bitmaps/sff_mini.xpm"
#include "bitmaps/sff_mini.xbm"
#include "bitmaps/sff_mini_pushed.xpm"
#include "bitmaps/sff_mini_pushed.xbm"


extern Widget TopAbout, PopAbout, toplevel;
Widget AboutPanel, SFFPanel, PopSFF, TopSFF;

#ifdef XPM
#include <X11/xpm.h>
#endif

static Pixmap sff_mini_pixmap, sff_mini_pushed_pixmap;

void Create_SFF_Panel ();
extern void Popup_Panel ();

static char defaultTranslations[] = 
      "<Btn1Down> : Down_About()";
static char aboutTranslations[] = 
      "<Btn1Down> : Down(About) \n\
       <Btn2Down> : Down(About) \n\
       <Btn3Down> : Down(About)";
static char sffTranslations[] = 
      "<Btn1Down> : Down(SFF) \n\
       <Btn2Down> : Down(SFF) \n\
       <Btn3Down> : Down(SFF)";

/********  Popdown Panels  ********/
void Popdown_About (w, type, ntype)
Widget w;
int type, ntype;
{
    Widget top, pop;

    switch (type) {
      case PABOUT: 
                  XtPopdown (TopAbout);
                  CHSTATE(POPUP, (STATE(POPUP) & ~PABOUT));
                  XtVaSetValues (PopAbout, XtNstate, False, NULL);
      case PSFF : 
                  if (STATE(POPUP) & PSFF) {
                    XtVaSetValues (PopSFF, XtNbitmap,sff_mini_pixmap,NULL);
                    XtPopdown (TopSFF);
                    CHSTATE(POPUP, (STATE(POPUP) & ~PSFF));
                  }
                  break;
      default   : return;
    }
}

/********  Popup Panels  ********/
void Popup_About (w, type, ntype)
Widget w;
int type, ntype;
{
    Dimension defw, defh;
    Widget top, pop, form;

    switch (type) {
      case PABOUT:
                 top = TopAbout;
                 pop = PopAbout;
                 form = AboutPanel;
                 break;
      case PSFF :
                 top = TopSFF;
                 pop = PopSFF;
                 form = SFFPanel;
                 XtVaSetValues (PopSFF, XtNbitmap,sff_mini_pushed_pixmap,NULL);
                 break;
      default  : return;
    }
    if (STATE(POPUP) & type) {
      Popdown_About (top, type, 1);
    } else {
/*
      XtVaGetValues (form, XtNwidth, &defw, XtNheight, &defh, NULL);
      if (defw > 0 && defh > 0)
        XtVaSetValues (top, XtNwidth, defw, XtNheight, defh, NULL);
*/
      XtVaSetValues (pop, XtNstate, True, NULL);
      XtPopup (top, XtGrabNone);
      CHSTATE(POPUP, (STATE(POPUP) | type));
    }
}


/**************************/
void Down_About (w, event, params, num_params)
Widget    w;
XEvent   *event;
String   *params;
int      num_params;
{
    Popup_About (w, PSFF, 0);
}

/********  About Pannel Widgets  ********/
void Create_About_Panel (parent)
Widget parent;
{
    Widget   AboutCanvas, Dismiss, SFF;
    Pixmap   about_pixmap, mask;
    unsigned int a_width, a_height, sff_button_width, sff_button_height;
    XtTranslations defaultTrans_table;
    int VisualClass = DefaultVisual (XtDisplay (toplevel), 0) -> class;
    int about_flag = False;

#ifdef XPM
    if (VisualClass > GrayScale) {

      XpmAttributes  attributes;
      memset (&attributes, 0 , sizeof (attributes));
      attributes.valuemask = XpmSize | XpmReturnPixels;

#ifdef ABOUTP
      if (XpmReadFileToPixmap (XtDisplay(parent),
                          XDefaultRootWindow(XtDisplay(parent)),
                            ABOUTP, &about_pixmap, &mask, &attributes) != -1)
        about_flag = True;
#endif
/*
      XpmCreatePixmapFromData (XtDisplay(parent),
                               XDefaultRootWindow(XtDisplay(parent)),
                               about_data, &about_pixmap, &mask, &attributes);
*/
      a_width  = attributes.width;
      a_height = attributes.height;

      XpmCreatePixmapFromData (XtDisplay(parent),
                          XDefaultRootWindow(XtDisplay(parent)),
                          sff_mini_xpm, &sff_mini_pixmap, &mask, &attributes);

      sff_button_width  = attributes.width;
      sff_button_height = attributes.height;

      XpmCreatePixmapFromData (XtDisplay(parent),
                          XDefaultRootWindow(XtDisplay(parent)),
                          sff_mini_pushed_xpm, &sff_mini_pushed_pixmap,
                          &mask, &attributes);
    }
#else
    VisualClass = GrayScale;
#endif
    if (VisualClass <= GrayScale || about_flag == False) {
      about_pixmap = XCreateBitmapFromData (XtDisplay (parent),
                       XtScreen (parent) -> root,
                         (char *) about_bits, about_width, about_height);
      a_width  = about_width;
      a_height = about_height;
    }

    if (VisualClass <= GrayScale) {    
      sff_mini_pixmap = XCreateBitmapFromData (XtDisplay (parent),
                          XtScreen (parent) -> root, (char *) sff_mini_bits,
                            sff_mini_width, sff_mini_height);

      sff_mini_pushed_pixmap = XCreateBitmapFromData (XtDisplay (parent),
                      XtScreen (parent) -> root, (char *) sff_mini_pushed_bits,
                         sff_mini_pushed_width, sff_mini_pushed_height);

      sff_button_width  = sff_mini_width;
      sff_button_height = sff_mini_height;
    }

    AboutPanel  = XtVaCMW ("AboutPanel", FormW, 
                    XtVaCMW ("AboutBox", BoxW, parent,
			 XtNborderWidth, 0,
			 XtNinternalWidth, 0,
                         XtNvSpace, 0,
                         XtNhSpace, 0,  NULL),
			       XtNborderWidth, 0,
			       XtNinternalWidth, 0,
                               XtNdefaultDistance, 0,
			       XtNwidth, a_width,
			       XtNheight, a_height, NULL);


    PopSFF = SFF = XtVaCMW ("PopSFF", LabelW , AboutPanel,
		   XtNbitmap, sff_mini_pixmap,
		   XtNborderWidth,0,
		   XtNinternalWidth,0,
                   XtNhorizDistance, 20,
                   XtNvertDistance, 180,
		   XtNwidth, sff_button_width,
		   XtNheight, sff_button_height, NULL);

    AboutCanvas = XtVaCMW ("AboutCanvas", LabelW, AboutPanel, 
			       XtNbitmap, about_pixmap,
			       XtNborderWidth,0,
			       XtNinternalWidth,0,
			       XtNhorizDistance,0,
			       XtNvertDistance, 0,
			       XtNwidth, a_width,
			       XtNheight, a_height, NULL);

    defaultTrans_table = XtParseTranslationTable( defaultTranslations );
    XtAugmentTranslations (SFF, defaultTrans_table);

    defaultTrans_table = XtParseTranslationTable( aboutTranslations );
    XtAugmentTranslations (parent, defaultTrans_table);

    TopSFF     = (Widget) Create_Popup_Panel ("TopSFF",   "About SFF (XPlay)");
    Create_SFF_Panel (TopSFF);

    XtVaSetValues (parent, XtNmaxWidth, a_width, XtNmaxHeight, a_height, NULL);
    XtVaSetValues (parent, XtNminWidth, a_width, XtNminHeight, a_height, NULL);
}

/*******************************/
void Create_SFF_Panel (parent)
Widget parent;
{
    Widget SFFBox;
    Pixmap sff_pixmap,mask;
    unsigned int sff_logo_width, sff_logo_height;
    XtTranslations  Trans_table;
    int VisualClass = DefaultVisual (XtDisplay (toplevel), 0) -> class;
    int sff_flag = False;

#ifdef XPM
    if (VisualClass > GrayScale) {
      XpmAttributes attributes;

      memset (&attributes, 0 , sizeof (attributes));
      attributes.valuemask = XpmSize | XpmReturnPixels;

#ifdef SFFP
      if (XpmReadFileToPixmap (XtDisplay(parent),
                  XDefaultRootWindow(XtDisplay(parent)),
                      SFFP, &sff_pixmap, &mask, &attributes) != -1)
        sff_flag = True;
#endif
/*
      XpmCreatePixmapFromData (XtDisplay(parent),
                          XDefaultRootWindow(XtDisplay(parent)),
                          sff_xpm, &sff_pixmap, &mask, &attributes);
*/
      sff_logo_width  = attributes.width;
      sff_logo_height = attributes.height;
    }
#else
    VisualClass = GrayScale;
#endif
    if (VisualClass <= GrayScale || sff_flag == False) {
      sff_pixmap = XCreateBitmapFromData (XtDisplay (parent),
                       XtScreen (parent) -> root,
                         (char *) sff_bits, sff_width, sff_height);
      sff_logo_width  = sff_width;
      sff_logo_height = sff_height;
    }

    XtVaSetValues (parent, XtNmaxWidth,  sff_logo_width,
                           XtNmaxHeight, sff_logo_height, NULL);
    XtVaSetValues (parent, XtNminWidth,  sff_logo_width,
                           XtNminHeight, sff_logo_height, NULL);

    SFFBox = XtVaCMW ("SFFBox", BoxW, parent, 
                         XtNhSpace, 0,
                         XtNvSpace, 0,
			 XtNinternalWidth,0,
			 XtNinternalHeight,0,
                         XtNwidth, sff_logo_width,
			 XtNheight, sff_logo_height,
                         NULL);

    SFFPanel = XtVaCMW ("SFF_panel", LabelW , SFFBox,
			 XtNbitmap, sff_pixmap,
			 XtNborderWidth,0,
			 XtNinternalWidth,0,
			 XtNwidth, sff_logo_width,
			 XtNheight, sff_logo_height, NULL);

    Trans_table = XtParseTranslationTable( sffTranslations );
    XtAugmentTranslations (parent, Trans_table);

}



