/**********************************************************
 *
 * XPlay:   Audio Control Panel            version 2.1
 *
 * File:    action.h  (Action Table and Translation Table)
 *
 * Date:    Sep, 1, 1993
 *
 * By:      Atsushi Hirahara
 *          School of Science and EnGineering, Waseda University
 *          hirahara@fuka.info.waseda.ac.jp
 *
 **********************************************************/

extern  void  set_dirname ();
extern  void  set_recdirname ();
extern  void  set_recfilename ();
extern  void  set_fileinfo ();
extern  void  set_reclimit ();
extern  void  set_pattern ();
extern  void  blink_caret ();
extern  void  Abort ();
extern  void  Down ();
extern  void  Popup ();
extern  void  Play_in_List ();
extern  void  Delete_Mark_File ();
extern  void  Mark_File_in_List ();
extern  void  Ring ();
extern  void  Continue ();
extern  void  FileCompletion ();
extern  void  skip_proc ();
extern  void  Down_About ();

/*****  Action Table  *****/
static XtActionsRec actionsTable [] = {
      {"set_dirname",       (XtActionProc) set_dirname },
      {"set_recdirname",    (XtActionProc) set_recdirname },
      {"set_recfilename",   (XtActionProc) set_recfilename },
      {"set_fileinfo",      (XtActionProc) set_fileinfo },
      {"set_reclimit",      (XtActionProc) set_reclimit },
      {"set_pattern",       (XtActionProc) set_pattern  },
      {"blink-caret",       (XtActionProc) blink_caret  },
      {"Abort",             (XtActionProc) Abort        },
      {"Down",              (XtActionProc) Down         },
      {"Popup",             (XtActionProc) Popup        },
      {"Play_in_List",      (XtActionProc) Play_in_List },
      {"Delete_Mark_File",  (XtActionProc) Delete_Mark_File},
      {"Mark_File_in_List", (XtActionProc) Mark_File_in_List},
      {"Ring",              (XtActionProc) Ring},
      {"Continue",          (XtActionProc) Continue},
      {"FileCompletion",    (XtActionProc) FileCompletion},
      {"Skip",              (XtActionProc) skip_proc},
      {"Down_About",        (XtActionProc) Down_About},
};

/*****  Application Resource Structure  *****/
static struct _app_res {
       Boolean split;
       Boolean normal;
       Boolean help;
       int     maxsize;
       int     stereodelay;
       String  direc;
       String  pattern;
       Boolean adjust;
       Boolean percent;
       Boolean time;
       Boolean fullpath;
       Boolean basename;
} app_resources;

/*****  Resource List  *****/
static XtResource resources[] = {
    {"split", "Split", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, split), XtRImmediate, False},
    {"normal", "Normal", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, normal), XtRImmediate, False},
    {"maxsize", "Maxsize", XtRInt, sizeof (XtRInt),
      XtOffset (struct _app_res*, maxsize), XtRImmediate, NULL},
    {"stereodelay", "Stereodelay", XtRInt, sizeof (XtRInt),
      XtOffset (struct _app_res*, stereodelay), XtRImmediate, NULL},
    {"help", "Help", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, help), XtRImmediate, False},
    {"directory", "Directory", XtRString, sizeof (XtRString),
      XtOffset (struct _app_res*, direc), XtRImmediate, NULL },
    {"pattern", "Pattern", XtRString, sizeof (XtRString),
      XtOffset (struct _app_res*, pattern), XtRImmediate, NULL },
    {"Unadjust", "Unadjust", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, adjust), XtRImmediate, False},
    {"time", "Time", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, time), XtRImmediate, False},
    {"persent", "Percent", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, percent), XtRImmediate, False},
    {"fullpath", "Fullpath", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, fullpath), XtRImmediate, False},
    {"basename", "Basename", XtRBoolean, sizeof (XtRBoolean),
      XtOffset (struct _app_res*, basename), XtRImmediate, False},
};

/*****  Option Table  *****/
static XrmOptionDescRec options [] = {
    {"-split",       ".Split",       XrmoptionNoArg,  "yes"},
    {"-normal",      ".Split",       XrmoptionNoArg,  "no"},
    {"-maxsize",     ".Maxsize",     XrmoptionSepArg, NULL},
    {"-stereodelay", ".Stereodelay", XrmoptionSepArg, NULL},
    {"-help",        ".Help",        XrmoptionNoArg,  "yes"},
    {"-directory",   ".Directory",   XrmoptionSepArg, NULL},
    {"-pattern",     ".Pattern",     XrmoptionSepArg, NULL},
    {"-unadjust",    ".Unadjust",    XrmoptionNoArg,  "yes"},
    {"-time",        ".Time",        XrmoptionNoArg,  "yes"},
    {"-percent",     ".Percent",     XrmoptionNoArg,  "no"},
    {"-basename",    ".Basename",    XrmoptionNoArg,  "yes"},
    {"-fullpath",    ".Basename",    XrmoptionNoArg,  "no"},
};


