/**********************************************************
 *
 * XPlay:   Audio Control Panel            version 2.1
 *
 * File:    includes.h    (Include files)
 *
 * Date:    Aug, 3, 1993
 *
 * By:      Atsushi Hirahara
 *          School of Science and Engineering, Waseda University,
 *          hirahara@fuka.info.waseda.ac.jp
 *
 **********************************************************/

#include <errno.h>
#include <ctype.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <fcntl.h>
#if defined(SVR4)
# include <string.h>
#else
# include <strings.h>
#endif /* SVR4 */
#include <stropts.h>
#include <dirent.h>
#include <time.h>
#include <math.h>
#include <pwd.h>
#include <sys/param.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <sys/file.h>

/***  Include files for X  ***/
#ifndef NOX
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xutil.h>
#include <X11/Xmu/Atoms.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Toggle.h>
#include <X11/Xaw/Text.h>
#include <X11/Xaw/Simple.h>
#include <X11/Xaw/Cardinals.h>
#include <X11/Xaw/Scrollbar.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/List.h>
#include <X11/Xaw/Viewport.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/SmeBSB.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/MultiText.h>
#include <X11/cursorfont.h>
#if (XtSpecificationRelease == 5)
#include <X11/Xaw/Repeater.h>
#else
#define repeaterWidgetClass commandWidgetClass
#endif  /**  End of (XtSpecificationRelease == 5)  **/

#define    XtVaCMW         XtVaCreateManagedWidget
#define    XtCPS           XtCreatePopupShell
#define    PanedW          panedWidgetClass
#define    LabelW          labelWidgetClass
#define    CommandW        commandWidgetClass
#define    FormW           formWidgetClass
#define    AsciiW          asciiTextWidgetClass
#define    ToggleW         toggleWidgetClass
#define    MenuW           menuButtonWidgetClass
#define    BoxW            boxWidgetClass
#define    ScrollW         scrollbarWidgetClass
#define    ViewPW          viewportWidgetClass
#define    ListW           listWidgetClass
#define    RepeaterW       repeaterWidgetClass
#define    TopLevelW       topLevelShellWidgetClass
#define    SMenuW          simpleMenuWidgetClass
#define    OvershellW      overrideShellWidgetClass
#define    MultiW          multiTextWidgetClass
#define    TransshellW     transientShellWidgetClass

#define    Bitmap(w,p,r,c) Create_Bitmap((w),XtNbitmap,(p),(r),(c))
#define    Icon(w,p,r,c)   Create_Bitmap((w),XtNiconPixmap,(p),(r),(c))
#define    SetThumb(w,f)   XawScrollbarSetThumb((w), \
                   (float)(f) / MAX_GAIN / HOSEI, (float) SHOWN / LENGTH / 2)
#define    MyOverrideTranslations(w,t) \
               XtOverrideTranslations((w),XtParseTranslationTable(t))
#define    MyAugmentTranslations(w,t) \
               XtAugmentTranslations((w),XtParseTranslationTable(t))


#else      /**  for NOX (No X) files  **/
typedef unsigned char Boolean;
typedef char * String;  
typedef int Widget;
typedef unsigned int Cardinal;
#define True  1
#define False 0
#endif     /**  End of  #ifndef NOX  **/
