/**********************************************************
 *
 * XPlay:   Audio Control Panel            version 2.1
 *
 * File:    resource.h  (fallback resources)
 *
 * Date:    Sep, 1, 1993
 *
 * By:      Atsushi Hirahara
 *          School of Science and Engineering, Waseda University,
 *          hirahara@fuka.info.waseda.ac.jp
 *
 **********************************************************/

/************************************
 *******  Fallback Resources  *******
 ************************************/

static String fallback_resources[] = {
    "*Split: False",
    "*Help: False",
    "*Normal: True",
    "*Maxsize: 20000",
    "*Pattern: *.au",
    "*Directory: ",
    "*Unadjust: False",
    "*Stereodelay: 150",
    "*Time: False",
    "*Percent: True",
    "*Basename: False",
    "*Fullpath: True",

/*** Paned Widget ***/
    "*paned*showGrip: False",
    "*paned*allowResize: True",
    "*paned*resizeToPreferred: True",
    "*paned*skipAdjust: True",
    "*paned*translations: #augment \\n\
				   Ctrl<Key>X : Continue() \\n\
                                   Ctrl<Key>Q : Abort() \\n\
                                   Ctrl<Key>A : Popup(About) \\n\
                                   Ctrl<Key>G : Popup(Gain) \\n\
                                   Ctrl<Key>C : Popup(Control) \\n\
                                   Ctrl<Key>O : Popup(File) \\n\
                                   Ctrl<Key>F : Popup(File) \\n\
                                   Ctrl<Key>R : Popup(Record) \\n\
                                   Ctrl<Key>H : Popup(Help) \\n\
                                   Ctrl<Key>S : Popup(Special)",
    "*TopControl*translations: #augment \\n\
                                   Ctrl<Key>C : Down(Control) \\n\
                                   Ctrl<Key>D : Down(Control) \\n\
                                   Ctrl<Key>Q : Down(Control) \\n\
                                   Ctrl<Key>A : Popup(About) \\n\
                                   Ctrl<Key>G : Popup(Gain) \\n\
                                   Ctrl<Key>O : Popup(File) \\n\
                                   Ctrl<Key>F : Popup(File) \\n\
                                   Ctrl<Key>R : Popup(Record) \\n\
                                   Ctrl<Key>H : Popup(Help) \\n\
                                   Ctrl<Key>E : Popup(Config) \\n\
                                   Ctrl<Key>S : Popup(Special)",
    "*TopRecord*translations: #augment \\n\
                                   Ctrl<Key>C : Down(Record) \\n\
                                   Ctrl<Key>D : Down(Record) \\n\
                                   Ctrl<Key>Q : Down(Record)",
    "*TopGain*translations: #augment \\n\
                                   Ctrl<Key>C : Down(Gain) \\n\
                                   Ctrl<Key>D : Down(Gain) \\n\
                                   Ctrl<Key>Q : Down(Gain)",
    "*TopFile*translations: #augment \\n\
                                   Ctrl<Key>C : Down(File) \\n\
                                   Ctrl<Key>D : Down(File) \\n\
                                   Ctrl<Key>Q : Down(File) \\n\
                                   Ctrl<Key>S : Popup(Special)",
    "*TopInfo*translations: #augment \\n\
                                   Ctrl<Key>C : Down(Info) \\n\
                                   Ctrl<Key>D : Down(Info) \\n\
                                   Ctrl<Key>Q : Down(Info)",
    "*TopSpecial*translations: #augment \\n\
                                   Ctrl<Key>C : Down(Special) \\n\
                                   Ctrl<Key>D : Down(Special) \\n\
                                   Ctrl<Key>Q : Down(Special)",
    "*TopAbout*translations: #augment \\n\
                                   Ctrl<Key>C : Down(About) \\n\
                                   Ctrl<Key>D : Down(About) \\n\
                                   Ctrl<Key>Q : Down(About)",
    "*TopSFF*translations: #augment \\n\
                                   Ctrl<Key>C : Down(SFF) \\n\
                                   Ctrl<Key>D : Down(SFF) \\n\
                                   Ctrl<Key>Q : Down(SFF)",
    "*paned*vSpace: 0",
    "*paned*hSpace: 0",

/***************************
     Popup Panel
 ***************************/
    "*PopGain.width: 100",
    "*PopGain.height: 30",
    "*PopGain.vertDistance: 4",
    "*PopGain.horizDistance: 4",
    "*PopGain.label: Gain Panel",
    "*PopControl.width: 100",
    "*PopControl.height: 30",
    "*PopControl.vertDistance: 4",
    "*PopControl.horizDistance: 4",
    "*PopControl.fromVert: PopGain",
    "*PopControl.label: Control Panel",
    "*PopFile.width: 100",
    "*PopFile.height: 30",
    "*PopFile.vertDistance: 4",
    "*PopFile.horizDistance: 4",
    "*PopFile.fromVert: PopControl",
    "*PopFile.label: File Panel",
    "*PopRecord.width: 100",
    "*PopRecord.height: 30",
    "*PopRecord.vertDistance: 4",
    "*PopRecord.horizDistance: 4",
    "*PopRecord.fromVert: PopFile",
    "*PopRecord.label: Record Panel",
    "*PopQuit.width: 96",
    "*PopQuit.height: 20",
    "*PopQuit.borderWidth: 3",
    "*PopQuit.vertDistance: 10",
    "*PopQuit.fromVert: PopRecord",
    "*PopQuit.label: Quit",
/***************************
     Gain Panel
 ***************************/
    "*GainBox*vSpace: 0",
    "*GainBox*hSpace: 0",
    "*GainBox.borderWidth: 0",
    "*ControlBox*vSpace: 0",
    "*ControlBox*hSpace: 0",
    "*FileBox*vSpace: 0",
    "*FileBox*hSpace: 0",
    "*RecordBox*vSpace: 0",
    "*RecordBox*hSpace: 0",

    "*GainPanel*horizDistance: 10",
    "*GainPanel.vertDistance: 0",
    "*GainPanel.horizDistance: 0",
    "*GainPanel.defaultDistance: 7",

/*** Play volume ***/
    "*play_l.vertDistance: 8",
    "*play_l.label:  Play    Gain:         ",
    "*play_bar.fromHoriz: play_l",
    "*play_bar.horizDistance: 2",
    "*play_bar.vertDistance:  10",
    "*play_bar.borderWidth: 0",

/*** Play balance ***/
    "*pbala_l.vertDistance: 5",
    "*pbala_l.fromVert: play_l", 
    "*pbala_l.label: Balance     :       ",
    "*play_bal.horizDistance: 10",
    "*play_bal.vertDistance:  7",
    "*play_bal.fromVert: play_l",
    "*play_bal.fromHoriz: pbala_l",

/*** Monitor volume ***/
    "*mon_l.vertDistance: 5",
    "*mon_l.fromVert:  pbala_l",
    "*mon_l.label: Monitor Gain:        ",
    "*mon_bar.horizDistance: 10",
    "*mon_bar.vertDistance:  7",
    "*mon_bar.fromVert:  pbala_l",
    "*mon_bar.fromHoriz:  mon_l",

/*** Speed scale ***/
    "*spd_l.vertDistance: 5",
    "*spd_l.fromVert:  mon_l",
    "*spd_l.label: Play   Speed:      ",
    "*spd_bar.horizDistance: 10",
    "*spd_bar.vertDistance:  7",
    "*spd_bar.fromVert:  mon_l",
    "*spd_bar.fromHoriz: spd_l",

/*** Play cursor scale ***/
    "*cur_l.vertDistance: 5",
    "*cur_l.fromVert:  spd_l",
    "*cur_l.label: Play Pointer:      ",
    "*cur_bar.horizDistance: 10",
    "*cur_bar.vertDistance:  7",
    "*cur_bar.fromVert:  spd_l",
    "*cur_bar.fromHoriz: cur_l",

    "*gdismiss.fromHoriz: play_bar",
    "*gdismiss.horizDistance: 2",
    "*gdismiss.vertDistance: 10",

/**********************
   Control Panel
 **********************/
    "*cpaned*showGrip: False",
    "*ControlBox.borderWidth: 0",
    "*Control.fromVert: GainPanel",
    "*Control.horizDistance: 0",
    "*Control.vertDistance: 0",
    "*Control.defaultDistance: 4",
    "*Control.resizable: False",

/**** Input Button ****/
    "*input_l.vertDistance: 6",
    "*input_l.horizDistance: 7",
    "*input_l.label: Input  :",
    "*input_l.borderWidth: 0",
    "*input_l.justify: Left",
    "*input.internalWidth: 2",
    "*input.vertDistance: 5",
    "*input.horizDistance: 4",
    "*input.fromHoriz: input_l",
    "*input.label: Microphone ",

/*** Output Button ***/
    "*output_l.vertDistance: 6",
    "*output_l.horizDistance: 7",
    "*output_l.fromVert: input_l",
    "*output_l.label: Output :",
    "*output_l.borderWidth: 0",
    "*output_l.justify: Left",
    "*output.internalWidth: 2",
    "*output.vertDistance: 5",
    "*output.horizDistance: 4",
    "*output.fromHoriz: output_l",
    "*output.fromVert: input_l",
    "*output.label: Speaker    ",
    "*output.menuName: Output",

/*** Looping on/off Button ***/
    "*looping_l.vertDistance: 6",
    "*looping_l.horizDistance: 7",
    "*looping_l.fromVert: output_l",
    "*looping_l.label: Looping:",
    "*looping_l.borderWidth: 0",
    "*looping_l.justify: Left",
    "*looping.internalWidth: 2",
    "*looping.vertDistance: 5",
    "*looping.horizDistance: 4",
    "*looping.fromHoriz: looping_l",
    "*looping.fromVert: output_l",
    "*looping.label: Off        ",

/*** Sample Rate Menu ***/
    "*sample_l.vertDistance: 6",
    "*sample_l.horizDistance: 5",
    "*sample_l.fromHoriz: input",
    "*sample_l.label: Sample   :",
    "*sample_l.borderWidth: 0",
    "*sample_l.justify: Left",
    "*sample.internalWidth: 2",
    "*sample.vertDistance: 5",
    "*sample.horizDistance: 4",
    "*sample.fromHoriz: sample_l",
    "*sample.label: 8000 Hz U  ",
    "*sample.justify: Left",
    "*sample.menuName: SampleRate",

/**** Input Button ****/
    "*channel_l.vertDistance: 6",
    "*channel_l.horizDistance: 5",
    "*channel_l.fromVert: sample_l",
    "*channel_l.fromHoriz: output",
    "*channel_l.label: Channel  :",
    "*channel_l.borderWidth: 0",
    "*channel_l.justify: Left",
    "*channel.internalWidth: 2",
    "*channel.vertDistance: 5",
    "*channel.horizDistance: 4",
    "*channel.fromHoriz: channel_l",
    "*channel.fromVert: sample_l",
    "*channel.label: Mono       ",

/***   Direction Button   ***/
    "*direc_l.vertDistance: 6",
    "*direc_l.horizDistance: 5",
    "*direc_l.fromVert: channel_l",
    "*direc_l.fromHoriz: looping",
    "*direc_l.label: Direction:",
    "*direc_l.borderWidth: 0",
    "*direc_l.justify: Left",
    "*direc.internalWidth: 2",
    "*direc.vertDistance: 5",
    "*direc.horizDistance: 4",
    "*direc.fromHoriz: direc_l",
    "*direc.fromVert: channel_l",
    "*direc.label: Normal     ",

/*** Play Button ***/
    "*play.vertDistance:  10",
    "*play.horizDistance: 15",
    "*play.fromVert: looping",
    "*play.label: Play",

/*** Stop Button ***/
    "*stop.vertDistance: 10",
    "*stop.horizDistance: 15",
    "*stop.fromVert: looping",
    "*stop.fromHoriz: play",
    "*stop.label: Stop",

/*** Pause Button ***/
    "*Pause.vertDistance: 10",
    "*Pause.horizDistance: 15",
    "*Pause.fromVert: looping",
    "*Pause.fromHoriz: stop",
    "*Pause.label: Pause",

/*** Record Popup Button ***/
    "*record.vertDistance: 10",
    "*record.horizDistance: 15",
    "*record.fromVert: looping",
    "*record.fromHoriz: Pause",
    "*record.label: Record",

/***  Skip Backward Button ***/
    "*skipB.vertDistance:  5",
    "*skipB.horizDistance: 15",
    "*skipB.fromVert: play",
    "*skipB.label: SkipB",

/***  Search Backward Button ***/
    "*searchB.vertDistance:  5",
    "*searchB.horizDistance: 15",
    "*searchB.fromVert: play",
    "*searchB.fromHoriz: skipB",
    "*searchB.label: SkipB",

/***  Search forward Button ***/
    "*searchF.vertDistance:  5",
    "*searchF.horizDistance: 15",
    "*searchF.fromVert: play",
    "*searchF.fromHoriz: searchB",
    "*searchF.label: SkipB",

/***  Skip Forward Button ***/
    "*skipF.vertDistance:  5",
    "*skipF.horizDistance: 15",
    "*skipF.fromVert: play",
    "*skipF.fromHoriz: searchF",
    "*skipF.label: SkipF",

/*** List Viewer ***/
    "*listtype.vertDistance: 1",
    "*listtype.horizDistance: 4",
    "*listtype.horizDistance: 4",
    "*listtype.label: 000 Files  :  Full path name ",
    "*listtype.borderWidth: 0",

    "*cview.fromVert: listtype",
    "*cview.vertDistance: 1",
    "*cview.horizDistance: 4",
    "*cview.allowVert: True",
    "*cview.allowHoriz: True",
    "*cview.forceBars: True",
    "*cview.width: 315",
    "*cview.height: 140",
    "*cviewbox.orientation: Horizontal",
    "*cviewbox*showGrip: False",
    "*cviewbox*allowResize: True",
    "*cviewbox*resizeToPreferred: True",
    "*cviewbox*skipAdjust: True",
    "*cviewbox*internalBorderWidth: 1",
    "*clist.forceColumns: True",
    "*clist.defaultColumns: 1",
    "*clist.borderWidth: 0",
    "*clistmark.forceColumns: True",
    "*clistmark.defaultColumns: 1",
    "*clistmark.borderWidth: 0",
    "*clistmark*internalWidth: 1",
    "*clistmark*columnSpacing: 1",

/***  Load File Pannele Popup Button  ***/
    "*load.vertDistance: 5",
    "*load.horizDistance: 5",
    "*load.width: 60",
    "*load.label: Load",

/***  Popup Information Button  ***/
    "*info.vertDistance: 5",
    "*info.horizDistance: 4",
    "*info.fromHoriz: load",
    "*info.width: 60",
    "*info.label: Help",

/***  Delete List Button  ***/
    "*delete.vertDistance: 5",
    "*delete.horizDistance: 4",
    "*delete.fromHoriz: info",
    "*delete.width: 60",
    "*delete.label: Delete",

/***  Delete All List Button  ***/
    "*del_all.vertDistance: 5",
    "*del_all.horizDistance: 4",
    "*del_all.fromHoriz: delete",
    "*del_all.width: 60",
    "*del_all.label: Clear",

/***  Play Configuration popup Button  ***/
    "*PopConfig.vertDistance: 5",
    "*PopConfig.horizDistance: 4",
    "*PopConfig.fromHoriz: del_all",
    "*PopConfig.width: 60",
    "*PopConfig.label: Config",

/***  Audio Information Label  ***/
    "*file_l.vertDistance: 10",
    "*file_l.horizDistance: 5",
    "*file_l.fromVert: load",
    "*file_l.label: File Name :",
    "*file_l.borderWidth: 0",
    "*file_l.justify: Left",

    "*file_str.vertDistance: 10",
    "*file_str.horizDistance: 3",
    "*file_str.fromVert: load",
    "*file_str.fromHoriz: file_l",
    "*file_str.borderWidth: 0",
    "*file_str.justify: Left",
    "*file_str.height: 30",
    "*file_str.width: 240",
    "*file_str*scrollHorizontal: WhenNeeded",
    "*file_str*editType: read",
    "*file_str.displayCaret: no",

/***  Audio Information Label  ***/
    "*info_l.vertDistance: 5",
    "*info_l.fromVert: file_str",
    "*info_l.horizDistance: 5",
    "*info_l.label: File Info :",
    "*info_l.borderWidth: 0",
    "*info_l.justify: Left",

    "*info_str.vertDistance: 5",
    "*info_str.horizDistance: 3",
    "*info_str.fromVert: file_str",
    "*info_str.fromHoriz: info_l",
    "*info_str.borderWidth: 0",
    "*info_str.justify: Left",
    "*info_str.height: 30",
    "*info_str.width: 240",
    "*info_str*scrollHorizontal: WhenNeeded",
    "*info_str*editType: read",
    "*info_str.displayCaret: no",

/***  Configuration Strings  ***/
    "*config_l.vertDistance: 5",
    "*config_l.fromVert: info_str",
    "*config_l.horizDistance: 5",
    "*config_l.label: Config    :",
    "*config_l.borderWidth: 0",
    "*config_l.justify: Left",

    "*config_s.vertDistance: 5",
    "*config_s.fromVert: info_str",
    "*config_s.fromHoriz: config_l",
    "*config_s.horizDistance: 3",
    "*config_s.label:  ",
    "*config_s.borderWidth: 0",
    "*config_s.justify: Left",
    "*config_s.width: 240",

/********************
     File Panel
 ********************/
    "*FilePanel.fromVert: Control",
    "*FilePanel.horizDistance: 0",
    "*FilePanel.vertDistance: 0",
    "*FileBox.borderWidth: 0",

/*** All Select Button ***/
    "*all.vertDistance: 7",
    "*all.horizDistance: 5",
    "*all.label: \\ Load  All ",

/*** Rescan Button ***/
    "*rescan.vertDistance: 7",
    "*rescan.horizDistance: 6",
    "*rescan.fromHoriz: all",
    "*rescan.label: \\  Rescan  ",

/*** Special Button ***/
    "*special.vertDistance: 7",
    "*special.horizDistance: 6",
    "*special.fromHoriz: rescan",
    "*special.label: \\  Special  ",

/*** Dismiss File Panle ***/
    "*fdismiss.fromHoriz: special",
    "*fdismiss.horizDistance: 7",
    "*fdismiss.vertDistance: 9",
    "*fdismiss.label: Dismiss",

/***  File Manager  ***/
    "*view.fromVert: all",
    "*view.vertDistance: 5",
    "*view.horizDistance: 5",
    "*view.allowVert: True",
    "*view.allowHoriz: True",
    "*view.width: 280",
    "*view.height: 160",
    "*viewbox.orientation: Horizontal",
    "*viewbox*showGrip: False",
    "*viewbox*allowResize: True",
    "*viewbox*resizeToPreferred: True",
    "*viewbox*skipAdjust: True",
    "*viewbox*internalBorderWidth: 1",
    "*list.forceColumns: True",
    "*list.defaultColumns: 1",
    "*list.borderWidth: 0",
    "*listmark.forceColumns: True",
    "*listmark.defaultColumns: 1",
    "*listmark.borderWidth: 0",
    "*listmark*internalWidth: 1",
    "*listmark*columnSpacing: 1",

/*** Directory Label ***/
    "*dir_l.vertDistance: 10",
    "*dir_l.horizDistance: 4",
    "*dir_l.fromVert: view",
    "*dir_l.label: Directory :",
    "*dir_l.borderWidth: 1",
    "*dir_l.justify: Left",

    "*dir_str.vertDistance: 10",
    "*dir_str.fromHoriz: dir_l",
    "*dir_str.horizDistance: 2",
    "*dir_str.fromVert: view",
    "*dir_str.borderWidth: 0",
    "*dir_str.justify: Left",
    "*dir_str.height: 30",
    "*dir_str.width: 200",
    "*dir_str*scrollHorizontal: WhenNeeded",
    "*dir_str*editType: edit",
    "*dir_str.cursor: hand2",

/***  File Name   ***/
    "*pattern_l.vertDistance: 3",
    "*pattern_l.fromVert: dir_str",
    "*pattern_l.horizDistance: 4",
    "*pattern_l.label: Pattern   :",
    "*pattern_l.borderWidth: 1",
    "*pattern_l.justify: Left",

    "*pattern_str.vertDistance: 3",
    "*pattern_str.horizDistance: 3",
    "*pattern_str.fromVert: dir_str",
    "*pattern_str.fromHoriz: pattern_l",
    "*pattern_str.borderWidth: 0",
    "*pattern_str.justify: Left",
    "*pattern_str.height: 30",
    "*pattern_str.width: 200",
    "*pattern_str*scrollHorizontal: WhenNeeded",
    "*pattern_str*editType: edit",
    "*pattern_str.displayCaret: yes",
    "*pattern_str.cursor: hand2",

/*********************
    Message Panel
 *********************/
    "*MessageBox.borderWidth: 0",
    "*MessageBox.fromVert: config_s",
    "*MessageBox.horizDistance: 0",
    "*MessageBox.vertDistance: 6",
    "*MessageBox.vSpace: 2",
    "*MessageP.horizDistance: 0",
    "*MessageP.vertDistance: 0",
    "*MessageP.width: 306",
    "*MessageP.fromVert: FilePanel",
    
/*** Quit Button ***/
    "*quit.vertDistance: 3",
    "*quit.horizDistance: 3",
    "*quit.label: Quit",
    "*quit.borderWidth: 2",
    "*quit.hSpace: 2",
    "*quit*internalHeight: 1",
    "*quit*internalWidth: 2",

/*** About Button ***/
    "*about.vertDistance: 3",
    "*about.horizDistance: 3",
    "*about.label: About",
    "*about.borderWidth: 2",
    "*about.hSpace: 2",
    "*about*internalHeight: 1",
    "*about*internalWidth: 2",

/*** Message Label ***/
    "*msg_str.vertDistance: 3",
    "*msg_str.resizable: True",
    "*msg_str.horizDistance: 3",
    "*msg_str.justify: Left",
    "*msg_str.label: XPlay ver.2.1 Copyright A.Hirahara",
    "*msg_str.width: 275",
    "*msg_str.internalWidth: 2",

    "*cdismiss.fromHoriz: msg_str",
    "*cdismiss.horizDistance: 5",
    "*cdismiss.vertDistance: 7",

/************************
    Error Message Box 
 ************************/
 /*** Error Message Label ***/
    "*formerr.borderWidth: 4",
    "*ErrorBox.vSpace: 0",
    "*ErrorBox.hSpace: 0",
    "*error_l.vertDistance: 4",
    "*error_l.horizDistance: 4",
    "*error_l.resizable: False",
    "*error_l.label: Error message Display Section",
    "*error_l.justify: Left",
    "*error_l.width: 300",
    "*error_l.height: 60",

 /*** OK Button ***/
    "*ErrOK.vertDistance: 10",
    "*ErrOK.fromVert: error_l",
    "*ErrOK.horizDistance: 10",
    "*ErrOK.borderWidth: 2",
    "*ErrOK.label: OK",
    "*ErrOK.width: 70",
    "*ErrOK.height: 40",

/*** Cancel Button ***/
    "*ErrNO.vertDistance: 10",
    "*ErrNO.fromVert: error_l",
    "*ErrNO.horizDistance: 10",
    "*ErrNO.fromHoriz: ErrOK",
    "*ErrNO.label: Cancel",
    "*ErrNO.borderWidth: 2",
    "*ErrNO.width: 70",
    "*ErrNO.height: 40",

/*** Cancel Button ***/
    "*ErrCancel.vertDistance: 10",
    "*ErrCancel.fromVert: error_l",
    "*ErrCancel.horizDistance: 10",
    "*ErrCancel.fromHoriz: ErrNO",
    "*ErrCancel.label: Cancel",
    "*ErrCancel.borderWidth: 2",
    "*ErrCancel.width: 70",
    "*ErrCancel.height: 40",

/*************************
   Record Configuration 
 *************************/
    "*RecordBox.borderWidth: 0",
/*** Record Start Button ***/
    "*rec_start.horizDistance: 5",
    "*rec_start.vertDistance: 5",
    "*rec_start.label: Start",
/*** Record Trigger Button ***/
    "*trigger.horizDistance: 5",
    "*trigger.vertDistance: 5",
    "*trigger.fromHoriz: rec_start",
    "*trigger.label: Pause",
/*** Record Stop Button ***/
    "*rec_stop.horizDistance: 5",
    "*rec_stop.vertDistance: 5",
    "*rec_stop.fromHoriz: trigger",
    "*rec_stop.label: Stop",
/*** Record Pause Button ***/
    "*rec_pause.horizDistance: 5",
    "*rec_pause.vertDistance: 5",
    "*rec_pause.fromHoriz: rec_stop",
    "*rec_pause.label: Pause",
/*** Record Configuration Panel Popdown Button ***/
    "*rec_down.horizDistance: 5",
    "*rec_down.vertDistance: 5",
    "*rec_down.fromHoriz: rec_pause",
    "*rec_down.label: Pop Down",
/*** Record volume ****/
    "*trig_l.vertDistance: 10",
    "*trig_l.fromVert: rec_down", 
    "*trig_l.horizDistance: 24",
    "*trig_l.label:   Trigger Level:    ",
    "*trig_bar.horizDistance: 15",
    "*trig_bar.vertDistance:  11",
    "*trig_bar.fromVert: rec_down",
    "*trig_bar.fromHoriz: trig_l",
/*** Record volume ****/
    "*rec_l.vertDistance: 10",
    "*rec_l.fromVert: trig_l", 
    "*rec_l.horizDistance: 24",
    "*rec_l.label:   Record  Gain:     ",
    "*rec_bar.horizDistance: 15",
    "*rec_bar.vertDistance:  11",
    "*rec_bar.fromVert: trig_l",
    "*rec_bar.fromHoriz: rec_l",
/*** Record Balance ****/
    "*rbala_l.vertDistance: 10",
    "*rbala_l.fromVert: rec_l", 
    "*rbala_l.horizDistance: 24",
    "*rbala_l.label: Balance     :     ",
    "*rec_bal.horizDistance: 15",
    "*rec_bal.vertDistance:  11",
    "*rec_bal.fromVert: rec_l",
    "*rec_bal.fromHoriz: rbala_l",

/*** Sample Rate Label ***/
    "*rec_samp_l.horizDistance: 24",
    "*rec_samp_l.fromVert: rbala_l",
    "*rec_samp_l.label: Sample Rate :",
    "*rec_samp_l.vertDistance: 10",
    "*rec_samp_s.vertDistance: 10",
    "*rec_samp_s.horizDistance: 15",
    "*rec_samp_s.fromVert: rbala_l",
    "*rec_samp_s.fromHoriz: rec_samp_l",
    "*rec_samp_s.width: 195",
/*** Input Label ***/
    "*rec_in_l.fromVert: rec_samp_s",
    "*rec_in_l.horizDistance: 24",
    "*rec_in_l.label: Input       :",
    "*rec_in_l.vertDistance: 10",
    "*rec_in_s.vertDistance: 10",
    "*rec_in_s.horizDistance: 15",
    "*rec_in_s.fromVert: rec_samp_s",
    "*rec_in_s.fromHoriz: rec_in_l",
    "*rec_in_s.width: 195",

/*** Channel Label ***/
    "*rec_chnl_l.fromVert: rec_in_s",
    "*rec_chnl_l.horizDistance: 24",
    "*rec_chnl_l.label: Channel     :",
    "*rec_chnl_l.vertDistance: 10",
    "*rec_chnl_s.vertDistance: 10",
    "*rec_chnl_s.horizDistance: 15",
    "*rec_chnl_s.fromVert: rec_in_s",
    "*rec_chnl_s.fromHoriz: rec_chnl_l",
    "*rec_chnl_s.width: 195",

/*** Recording File Size Label ***/
    "*rec_size_l.fromVert: rec_chnl_s",
    "*rec_size_l.horizDistance: 24",
    "*rec_size_l.label: File Size   :",
    "*rec_size_l.vertDistance: 10",
    "*rec_size_s.vertDistance: 10",
    "*rec_size_s.horizDistance: 15",
    "*rec_size_s.fromVert: rec_chnl_s",
    "*rec_size_s.fromHoriz: rec_size_l",
    "*rec_size_s.label: 0",
    "*rec_size_s.width: 195",

/*** Recording File Size Label ***/
    "*rec_time_l.fromVert: rec_size_s",
    "*rec_time_l.horizDistance: 24",
    "*rec_time_l.label:  Record Time :",
    "*rec_time_l.vertDistance: 10",
    "*rec_time_s.vertDistance: 10",
    "*rec_time_s.horizDistance: 15",
    "*rec_time_s.fromVert: rec_size_s",
    "*rec_time_s.fromHoriz: rec_time_l",
    "*rec_time_s.label: 00:00.00",
    "*rec_time_s.width: 195",

/*** File Name Input ***/
    "*rec_limit_l.vertDistance: 10",
    "*rec_limit_l.horizDistance: 22",
    "*rec_limit_l.fromVert: rec_time_s",
    "*rec_limit_l.label: Limit Time  :",
    "*rec_limit_l.borderWidth: 1",
    "*rec_limit_l.justify: Left",

    "*rec_limit_s.vertDistance: 10",
    "*rec_limit_s.horizDistance: 15",
    "*rec_limit_s.borderWidth: 0",
    "*rec_limit_s.justify: Left",
    "*rec_limit_s.fromVert: rec_time_s",
    "*rec_limit_s.fromHoriz: rec_limit_l",
    "*rec_limit_s.height: 30",
    "*rec_limit_s.width: 195",
    "*rec_limit_s*scrollHorizontal: WhenNeeded",
    "*rec_limit_s*editType: edit",
    "*rec_limit_s.cursor: hand2",

/*** Directory Input ***/
    "*rec_dir_l.vertDistance: 3",
    "*rec_dir_l.horizDistance: 22",
    "*rec_dir_l.fromVert: rec_limit_s",
    "*rec_dir_l.label: Directory   :",
    "*rec_dir_l.borderWidth: 1",
    "*rec_dir_l.justify: Left",

    "*rec_dir_s.vertDistance: 3",
    "*rec_dir_s.horizDistance: 15",
    "*rec_dir_s.borderWidth: 0",
    "*rec_dir_s.justify: Left",
    "*rec_dir_s.fromVert: rec_limit_s",
    "*rec_dir_s.fromHoriz: rec_dir_l",
    "*rec_dir_s.height: 30",
    "*rec_dir_s.width: 195",
    "*rec_dir_s*scrollHorizontal: WhenNeeded",
    "*rec_dir_s*editType: edit",
    "*rec_dir_s.cursor: hand2",

/*** File Name Input ***/
    "*rec_file_l.vertDistance: 3",
    "*rec_file_l.horizDistance: 22",
    "*rec_file_l.fromVert: rec_dir_s",
    "*rec_file_l.label: File Name   :",
    "*rec_file_l.borderWidth: 1",
    "*rec_file_l.justify: Left",

    "*rec_file_s.vertDistance: 3",
    "*rec_file_s.horizDistance: 15",
    "*rec_file_s.borderWidth: 0",
    "*rec_file_s.justify: Left",
    "*rec_file_s.fromVert: rec_dir_s",
    "*rec_file_s.fromHoriz: rec_file_l",
    "*rec_file_s.height: 30",
    "*rec_file_s.width: 195",
    "*rec_file_s*scrollHorizontal: WhenNeeded",
    "*rec_file_s*editType: edit",
    "*rec_file_s.cursor: hand2",

/*** File Information Input ***/
    "*rec_info_l.vertDistance: 3",
    "*rec_info_l.horizDistance: 22",
    "*rec_info_l.borderWidth: 1",
    "*rec_info_l.justify: Left",
    "*rec_info_l.fromVert: rec_file_s",
    "*rec_info_l.label: File Info   :",
    "*rec_info_s.vertDistance: 3",
    "*rec_info_s.horizDistance: 15",
    "*rec_info_s.borderWidth: 0",
    "*rec_info_s.justify: Left",
    "*rec_info_s.fromVert: rec_file_s",
    "*rec_info_s.fromHoriz: rec_info_l",
    "*rec_info_s.height: 30",
    "*rec_info_s.width: 195",
    "*rec_info_s*scrollHorizontal: WhenNeeded",
    "*rec_info_s*editType: edit",
    "*rec_info_s*cursor: hand2",

/*************************/
/****  Special Panel  ****/
/*************************/
    "*SpeBox.borderWidth: 0",
    "*SpePanel.defaultDistance: 10",
    "*spetitle.horizDistance: 10",
    "*spetitle.borderWidth: 0",
    "*spetitle.label: This is a SUN au file.",
    "*spetitle.resizable: False",

/*** File Name Input ***/
    "*spefile_l.vertDistance: 10",
    "*spefile_l.horizDistance: 10",
    "*spefile_l.fromVert: spetitle",
    "*spefile_l.label: New File Name  :",
    "*spefile_l.justify: Left",
    "*spefile_l.borderWidth: 0",

    "*spefile_s.vertDistance: 10",
    "*spefile_s.horizDistance: 5",
    "*spefile_s.borderWidth: 0",
    "*spefile_s.justify: Left",
    "*spefile_s.fromVert: spetitle",
    "*spefile_s.fromHoriz: spefile_l",
    "*spefile_s.height: 30",
    "*spefile_s.width: 220",
    "*spefile_s*scrollHorizontal: WhenNeeded",
    "*spefile_s*editType: edit",
    "*spefile_s.cursor: hand2",

/*** File Information Input ***/
    "*speinfo_l.vertDistance: 3",
    "*speinfo_l.horizDistance: 10",
    "*speinfo_l.borderWidth: 0",
    "*speinfo_l.justify: Left",
    "*speinfo_l.fromVert: spefile_s",
    "*speinfo_l.label: New File Info  :",
    "*speinfo_s.vertDistance: 3",
    "*speinfo_s.horizDistance: 5",
    "*speinfo_s.borderWidth: 0",
    "*speinfo_s.justify: Left",
    "*speinfo_s.fromVert: spefile_s",
    "*speinfo_s.fromHoriz: speinfo_l",
    "*speinfo_s.height: 30",
    "*speinfo_s.width: 220",
    "*speinfo_s*scrollHorizontal: WhenNeeded",
    "*speinfo_s*editType: edit",
    "*speinfo_s*cursor: hand2",

/*** Scaling volume ****/
    "*scale_l.vertDistance: 7",
    "*scale_l.fromVert: speinfo_s", 
    "*scale_l.borderWidth: 0",
    "*scale_l.horizDistance: 10",
    "*scale_l.label: Play Gain Scale: 100 %",
    "*scale_bar.horizDistance: 22",
    "*scale_bar.vertDistance: 9",
    "*scale_bar.fromVert: speinfo_s",
    "*scale_bar.fromHoriz: scale_l",

/*** File Configuration ***/
    "*speconfig.fromVert: scale_l",
    "*speconfig.borderWidth: 0",
    "*speconfig.vertDistance: 10",
    "*speconfig.horizDistance: 10",
    "*speconfig.justify: Left",
    "*speconfig.label: Configuration  : 48000Hz, Linear, 16Bit, Stereo",
   
/*** File Size ***/
    "*spefsize.fromVert: speconfig",
    "*spefsize.borderWidth: 0",
    "*spefsize.vertDistance: 10",
    "*spefsize.horizDistance: 10",
    "*spefsize.justify: Left",
    "*spefsize.label: File Size      : 10000Kbyte",

    "*speOkay.fromVert: spefsize",
    "*speOkay.vertDistance: 10",
    "*speOkay.horizDistance: 146",
    "*speOkay.label: \\    Okay    ",

    "*specancel.fromVert: spefsize",
    "*specancel.fromHoriz: speOkay",
    "*specancel.vertDistance: 10",
    "*specancel.horizDistance: 20",
    "*specancel.label: \\   Cancel   ",

/********************/
/**** Help Panel ****/
/********************/
    "*Information.width: 560",
    "*Information.height: 300",
    "*Information.displayCaret: False",
    "*Information*scrollHorizontal: WhenNeeded",
    "*Information*scrollVertical: WhenNeeded",
    "*Information.borderWidth: 0",

/**********************/
/**** Config Panel ****/
/**********************/
    "*ConfigBox.hSpace: 0",
    "*ConfigBox.vSpace: 0",
    "*ConfigBox.borderWidth: 0",
    "*ConfigPanel.borderWidth: 0",
    "*ConfigPanel*showGrip: False",
    "*ConfigPanel*allowResize: True",
    "*ConfigPanel*resizeToPreferred: True",
    "*ConfigPanel*skipAdjust: True",
    "*ConfigPanel.borderWidth: 1",
    "*ConfigPanel*translations: #augment \\n\
                          Ctrl<Key>C: Down(Config)",
    "*ConfigPanel*vSpace: 0",
    "*ConfigPanel*hSpace: 0",

    "*ConfigFile.label  : File  : ",
    "*ConfigFile.justify: Left",
    "*ConfigFile.width: 345",
    "*ConfigFile.resize: False",
    "*ConfigFile.borderWidth: 0",
    "*ConfigDevice.label: Device: ",
    "*ConfigDevice.justify: Left",
    "*ConfigDevice.width: 345",
    "*ConfigDevice.resize: False",
    "*ConfigDevice.fromVert: ConfigFile",
    "*ConfigDevice.borderWidth: 0",

    "*ConfigEnc_l.label: Change Encoding    :",
    "*ConfigEnc_l*borderWidth: 1",
    "*ConfigEnc_s.borderWidth: 0",
    "*ConfigEnc_s.fromHoriz: ConfigEnc_l",
    "*ConfigEnc_s.horizDistance: 4",
    "*ConfigEnc_s.vertDistance: 5",
    "*ConfigEnc_s.justify: Center",
    "*ConfigEnc_s.width: 222",
    "*ConfigEnc_s.resize: False",

    "*ConfigSmp_l.label: Sample      : ",
    "*ConfigSmp_l.label: Change Sample Rate :",
    "*ConfigSmp_l*borderWidth: 1",
    "*ConfigSmp_l.fromVert: ConfigEnc_l",
    "*ConfigSmp_s.borderWidth: 0",
    "*ConfigSmp_s.fromHoriz: ConfigSmp_l",
    "*ConfigSmp_s.fromVert: ConfigEnc_l",
    "*ConfigSmp_s.horizDistance: 4",
    "*ConfigSmp_s.vertDistance: 5",
    "*ConfigSmp_s.justify: Center",
    "*ConfigSmp_s.width: 222",
    "*ConfigSmp_s.resize: False",

    "*ConfigCha_l.label: Change Channel     :",
    "*ConfigCha_l.fromVert: ConfigSmp_l",
    "*ConfigCha_l*borderWidth: 1",
    "*ConfigCha_s.borderWidth: 0",
    "*ConfigCha_s.fromHoriz: ConfigCha_l",
    "*ConfigCha_s.fromVert: ConfigSmp_l",
    "*ConfigCha_s.horizDistance: 4",
    "*ConfigCha_s.vertDistance: 5",
    "*ConfigCha_s.label: Disable",
    "*ConfigCha_s.justify: Center",
    "*ConfigCha_s.width: 222",
    "*ConfigCha_s.resize: False",

    "*stedel_l.vertDistance: 6",
    "*stedel_l.fromVert: ConfigCha_l", 
    "*stedel_l.borderWidth: 0",
    "*stedel_l.horizDistance: 5",
    "*stedel_l.label: Semi Stereo Delay  : +100",
    "*stedel_bar.horizDistance: 6",
    "*stedel_bar.vertDistance: 8",
    "*stedel_bar.fromVert: ConfigCha_l",
    "*stedel_bar.fromHoriz: stedel_l",

    "*cndismiss.fromHoriz: stedel_bar",
    "*cndismiss.fromVert: ConfigCha_l",
    "*cndismiss.horizDistance: 6",
    "*cndismiss.vertDistance: 5",
    "*cndismiss.highlightThickness: 0",

/**********************/
/**** Default Font ****/
/**********************/
    "*font: -*-fixed-*--14-*-iso8859-*",
    "*FontSet: -*-fixed-*--14-*",

    "*TopAbout*hSpace: 0",
    "*TopAbout*vSpace: 0",
    "*TopAbout*internalWidth: 0",
    "*TopAbout*internalHeight: 0",
    "*TopAbout*XtNborderWidth: 0",

/*    "*AboutPanel*background             : #c3c3c3c3c3c3",*/
#ifdef COLORDEF
    "*SplitF.background	        	: light steel blue",
    "*SplitF.PopGain.background	        : misty rose",
    "*SplitF.PopControl.background	: misty rose",
    "*SplitF.PopFile.background	        : misty rose",
    "*SplitF.PopRecord.background	: misty rose",
    "*SplitF.PopQuit.background	        : snow",
    "*GainPanel.background		: LightSteelBlue1",
    "*GainPanel.play_bar.background	: bisque",
    "*GainPanel.play_bal.background	: bisque",
    "*GainPanel.mon_bar.background	: bisque",
    "*GainPanel.spd_bar.background	: bisque",
    "*GainPanel.cur_bar.background	: bisque",
    "*GainPanel.play_l.background	: white",
    "*GainPanel.pbala_l.background	: white",
    "*GainPanel.mon_l.background	: white",
    "*GainPanel.spd_l.background	: white",
    "*GainPanel.cur_l.background	: white",
    "*GainPanel.gdismiss.background	: LightSteelBlue1",
    "*GainPanel.gdismiss.foreground	: black",
    "*ControlBox.background		: light steel blue",
    "*area1.background			: LightSteelBlue1",
    "*area1.input.background		: CadetBlue1",
    "*area1.output.background		: CadetBlue1",
    "*area1.sample.background		: CadetBlue1",
    "*area1.channel.background		: CadetBlue1",
    "*area1.looping.background		: CadetBlue1",
    "*area1.direc.background		: CadetBlue1",
    "*area1.input_l.background		: thistle1",
    "*area1.sample_l.background		: thistle1",
    "*area1.output_l.background		: thistle1",
    "*area1.channel_l.background	: thistle1",
    "*area1.looping_l.background	: thistle1",
    "*area1.direc_l.background		: thistle1",
    "*area1.play.background		: SlateGray3",
    "*area1.stop.background		: SlateGray3",
    "*area1.Pause.background		: SlateGray3",
    "*area1.record.background		: SlateGray3",
    "*area1.skipB.background		: SlateGray3",
    "*area1.searchB.background		: SlateGray3",
    "*area1.searchF.background		: SlateGray3",
    "*area1.skipF.background		: SlateGray3",
    "*area2.background			: light steel blue",
    "*area2.listtype.background		: light steel blue",
    "*area2*clist.background		: white",
    "*area2.cview.horizontal.background	: old lace",
    "*area2.cview.vertical.background	: old lace",
    "*area3.background			: LightSteelBlue1",
    "*area3.load.background		: CadetBlue1",
    "*area3.info.background		: CadetBlue1",
    "*area3.delete.background		: CadetBlue1",
    "*area3.del_all.background		: CadetBlue1",
    "*area3.PopConfig.background	: CadetBlue1",
    "*area3.file_l.background		: thistle1",
    "*area3.info_l.background		: thistle1",
    "*area3.config_l.background		: thistle1",
    "*FilePanel.background		: LightSteelBlue1",
    "*FilePanel.all.background		: CadetBlue1",
    "*FilePanel.rescan.background	: CadetBlue1",
    "*FilePanel.special.background	: CadetBlue1",
    "*FilePanel.fdismiss.background	: LightSteelBlue1",
    "*FilePanel.view.vertical.background: old lace",
    "*FilePanel.dir_l.background	: skyblue",
    "*FilePanel.dir_l.foreground	: darkslategray",
    "*FilePanel.pattern_l.background	: skyblue",
    "*FilePanel.pattern_l.foreground	: darkslategray",
    "*SpePanel.background		: LightSteelBlue1",
    "*SpeBox.background			: LightSteelBlue1",
    "*SpePanel.spetitle.background	: CadetBlue1",
    "*SpePanel.spefile_l.background	: old lace",
    "*SpePanel.speinfo_l.background	: old lace",
    "*SpePanel.scale_l.background	: old lace",
    "*SpePanel.scale_bar.background	: bisque",
    "*SpePanel.speconfig.background	: thistle1",
    "*SpePanel.spefsize.background	: thistle1",
    "*SpePanel.speOkay.background	: CadetBlue1",
    "*SpePanel.specancel.background	: CadetBlue1",
    "*RecPanel.background		: LightSteelBlue1",
    "*RecPanel.trigger.background	: SlateGray3",
    "*RecPanel.rec_start.background	: SlateGray3",
    "*RecPanel.rec_stop.background	: SlateGray3",
    "*RecPanel.rec_pause.background	: SlateGray3",
    "*RecPanel.rec_down.background	: SlateGray3",
    "*RecPanel.trig_bar.background	: bisque",
    "*RecPanel.rec_bar.background	: bisque",
    "*RecPanel.rec_bal.background	: bisque",
    "*RecPanel.trig_l.background	: white",
    "*RecPanel.rec_l.background		: white",
    "*RecPanel.rbala_l.background	: white",
    "*RecPanel.rec_samp_l.background	: thistle1",
    "*RecPanel.rec_in_l.background	: thistle1",
    "*RecPanel.rec_chnl_l.background	: thistle1",
    "*RecPanel.rec_size_l.background	: thistle1",
    "*RecPanel.rec_time_l.background	: thistle1",
    "*RecPanel.rec_limit_l.background	: SteelBlue3",
    "*RecPanel.rec_limit_l.foreground	: gray97",
    "*RecPanel.rec_dir_l.background	: SteelBlue3",
    "*RecPanel.rec_dir_l.foreground	: gray97",
    "*RecPanel.rec_file_l.background    : SteelBlue3",
    "*RecPanel.rec_file_l.foreground	: gray97",
    "*RecPanel.rec_info_l.background	: SteelBlue3",
    "*RecPanel.rec_info_l.foreground	: gray97",
    "*MessageP.quit.background    	: misty rose",
    "*MessageP.about.background    	: misty rose",
    "*MessageP.msg_str.background 	: misty rose",
    "*InfoPanel.background		: PaleTurquoise2",
    "*InfoPanel.Information*background	: PaleTurquoise1",

    "*ConfigArea1.background		: LightSteelBlue1",
    "*ConfigArea2.background		: LightSteelBlue1",
    "*ConfigFile.background             : thistle1",
    "*ConfigDevice.background           : thistle1",
    "*ConfigEnc_l.background            : skyblue",
    "*ConfigEnc_l.foreground            : darkslategray",
    "*ConfigSmp_l.background            : skyblue",
    "*ConfigSmp_l.foreground            : darkslategray",
    "*ConfigCha_l.background            : skyblue",
    "*ConfigCha_l.foreground            : darkslategray",
    "*ConfigArea2.stedel_bar.background	: bisque",
    "*cndismiss.background	        : LightSteelBlue1",
#endif
    NULL,
};

