/****************************************************************
 *
 * XPlay:   Audio Control Panel            version 2.1
 *
 * File :   timelib.c  (Time to string library)
 *
 * Date :   Jan, 1, 1994
 *
 * By   :   Syun Matsuura
 *          School of Science and Engineering, Waseda University,
 *          syun@fuka.info.waseda.ac.jp
 *
 ****************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define  TIME_S    0
#define  TIME_MS   1
#define  TIME_HMS  2

long time_str_to_millsecs (/* char *argv1 */);
char *millsecs_to_time_str (/* long millsec , char * buff */);

/*
 *  $B;~4V$rI=$9J8;zNs$r?t;z!J(Bmill$BIC!K$KJQ49$9$k(B
 *    $BF~NO(B="[[[hh:]mm:]ss].mm]    $B=PNO(B=$BIC(B(int)
 */
long time_str_to_millsecs (argv1)
char  *argv1;
{
    int    data[4];         /* ':' $B$G6h@Z$i$l$?%U%#!<%k%I$N?tCM$,F~$k(B */
    int    datac = 0, datap = 0;
    static int  table[3] = {1, 60, 3600};
    char   str[256], millstr[5];
    char  *p;
    int    ret, millsec = 0, milldig;
    int    i = 0;

    /* $B6uGr$r<h$j=|$/(B  $BNc(B: "  abc 123  "->"abc123" */
    str[0] = 0;
    p = strtok(argv1, " ");
    while( p != NULL ){
	strcat(str, p);
	p = strtok(NULL, " ");
    }

    /* $B:G=i$b$7$/$O:G8e$,(B ':'$B$@$C$?$i%(%i!<(B  $BNc(B: ":12:34", "12:34:" */
    if( (str[i]==':') || (str[strlen(str)-1]==':') || 
        (str[0]==0)   || (str[strlen(str)-1]=='.') )
	return  -1;

    /* $B5-=R>e$N%(%i!<$r8!::(B */
    for(i=0; i<strlen(str); i++ ){
	/* $B?t;z$H(B ':' $B0J30$,$"$k$H%(%i!<(B  $BNc(B: "12:3x", "a" */
	if( (! isdigit(str[i])) && (str[i]!=':') && (str[i]!='.') )
	    return  -1;

	if( str[i]==':'){
	    /* ':' $B$,#2$D0J>eB3$1$F$"$k$H%(%i!<(B  $BNc(B: "01::23", "::2" */
	    if( str[i+1]==':' )
		return  -1;
	} else
        if (str[i]=='.') {
            if( str[i+1]=='.' )
                return  -1;
	}
    }

    /* ':' $B$G6h@Z$i$l$?%U%#!<%k%I$K=q$+$l$??tCM$rFI$s$GJQ49$9$k(B */
    if (( p = strchr (str, '.')) != NULL) {
      strcpy (millstr, p + 1);
      milldig = strlen (millstr);
      millsec = atoi(p + 1);
      millsec = (milldig == 1 ? millsec * 100 : 
                (milldig == 2 ? millsec *  10 : millsec));
      *p = '\0';
    }
    p = strtok(str, ":");
    while( p != NULL ){
	/* $B%U%#!<%k%I$,#3$D0J>e$"$k$H%(%i!<(B  $BNc(B: "01:23:45:6" */
	if( datac > 2 )
	    return  -1;
	data[datac++] = atoi(p);
	p = strtok(NULL, ":");
    }

    /* $BIC$KJQ49$9$k(B */
    for(ret=i=0; i<datac; i++)
	ret += (data[datac-1-i]*table[i]);
    return  ret * 1000 + millsec;
}


/*
 *  $B?t;z!J(Bmill$BIC!K$r;~4V$rI=$9J8;zNs$KJQ49$9$k(B
 *       $BF~NO(B=$BIC(B(int)    $B=PNO(B="[[[hh:]mm:]ss].mm]"
 */
char  *millsecs_to_time_str(millsec, buff)
long millsec;
char *buff;
{
    int sec  = millsec / 1000;
    int mill = millsec % 1000;

    if (millsec < 0) {
      strcpy (buff, "Error");
      return buff;
    }
    if( sec < 60 )
	sprintf(buff, "0:%02d.%.2d", sec, (mill + 5) / 10);
    else
    if( sec < 3600-1 )
	sprintf(buff, "%d:%02d.%.2d", sec/60, sec%60, (mill + 5) / 10);
    else
	sprintf(buff, "%d:%02d:%02d.%.2d", sec/3600,
		                         (sec-(sec/3600)*3600)/60,
		                         sec%60, (mill + 5) / 10);
    return  buff;
}

/*
void  main(argc, argv)
int    argc;
char  *argv[];
{
    int   sec;
    char  str[256];

    if( argc != 2 ){
	fprintf(stderr, "Usage: %s  time\n", argv[0]);
	fprintf(stderr, "           hh:mm:ss\n");
	fprintf(stderr, "           mm:ss   \n");
	fprintf(stderr, "           psecond\n");
	exit(1);
    }

    printf("data=%s\n", argv[1]);
    sec = time_str_to_millsecs(argv[1]);
    printf("str_to_sec = %d\n", sec);
    printf("sec_to_str = %s\n", millsecs_to_time_str(sec, str));
}
*/
