.\"
.\"  xplay - X11 audio play/record tool for SUN
.\"
.\"  Atsushi Hirahara, hirahara@fuka.info.waseda.ac.jp, 1 Nov 1993.
.\"
.TH XPLAY N "1 Nov 1993"
.ds ]W A. Hirahara
.SH NAME
xplay \- X11 audio play/record tool for SUN

.\"**********  SYNOPSIS  **********
.SH SYNOPSIS
.na
.in +8n
.ti -8n
.I xplay\ \ 
[X\ Toolkit\ options]
[\-split]
[\-normal]
.br
[\-maxsize
.I filesize]
[\-pattern
.I pattern]
[\-unadjust]
[\-stereo
.I num]
[\-percent]
[\-time]
[\-fullpath]
[\-basename]
[\-directory
.I directory]
[\-help]
.br
[directory]

.\"**********  DESCRIPTION  **********
.in -8n
.ad
.SH DESCRIPTION
.PP
.I Xplay
is a graphical tool that allows  recording and playing
of audio data. It can deal with 
.I SUN SPARCstation
\'s (.au) format.
.I Xplay
works  on 
.I SPARCstation\ 1
and
.I 2
with the
.I audioamd
and
.I SPARCstation\ 10
with the 
.I dbri
audio  device.
.I Xplay
on the 
.I audioamd
can deal with only 8bit, 8000Hz, monaural, u-law method. The 
.I dbri
device can deal with  higher quality data, for instance, 
CD  player  quality:   16bit,  stereo, 44.1kHz, linear method.

.I Xplay
has  a  graphical user interface  built  with
.I X11R5, Athena Widget sets.
You can control the audio device by the
slider, menu, button, and so on. The display consists of six
panels: a gain control panel, a play / device control panel,
a  file  select  panel,  a record  control  panel, a special
function panel and a help panel.

.in -8n
.ad
.SH TYPES\ OF\ GUI
.PP
.I Xplay
has  two types of GUI:  the
.I normal\ type
and the
.I panel\ split\ type.
The main  window of  normal type  consists of a
gain control panel and a play / device control panel.  Other
panels are pop-up panel.   The main window of split type has
five buttons:  a gain control panel pop-up button,  a play /
device  control  panel  pop-up  button,  a file select panel
pop-up  button,  a record control panel  pop-up  button  and
a QUIT button.


.in -8n
.ad
.SH USAGE
.PP
This  section  describes  how to use
.I xplay
in its default configuration. Subsequent sections provide 
the information needed to customize it to your liking.

.in -8n
.ad
.SH \ Gain\ Control\ Panel\ (Gain\ Panel)
.PP

There are five sliders on the gain panel.  The top slider is
a play gain  slider.  The  next  slider  is a  play  balance
slider. Play balance slider can use on the dbri device (
.I SPARCstation 10
) which has stereo output.  Under the play balance slider, 
there is a monitor gain slider. Monitor slider controls feedback
level from input to output.  Under the monitor gain slider, there
is a play speed control slider.  While playing, you can change 
playing speed by this slider.  The bottom slider is a play 
pointer slider. This slider is available while playing.  
To move a file pointer, please use this slider. The label of play
pointer slider has two types of description: percent description (%) 
and time description (mm:ss). To change description , click on
the label.


.in -8n
.ad
.SH \ Play\ /\ Device\ Control\ Panel\ (Control\ Panel)
.PP

The Control Panel  is  divided into three  horizontal areas.

.SH \ \ Audio\ control\ and\ play\ control\ area

The top area is audio control and play control area.   There
are  14  buttons. First six buttons are for audio device control:
an "Input" button, a "Sample" button, an "Output" button, 
a "Channel" button, a "Looping" button and a "Direction" button.

.IP Input
.br
The  "Input"  button is a toggle button,  which select input:
line in  or  microphone.  But, the 
.I audioamd
device has only one input method, microphone.
.br
.IP Sample
.br
The  "Sample"  button is a  menu  pop-up button, which select
sample  rate of dbri  device.  The sample  rate  can  change
when  the  device  is  not  busy  (both  not playing and not
recording). 
.I Xplay
on the 
.I audioamd
device can deal with only 8000Hz, u-law method.
.br
.IP Output
.br
The  "Output"  button  is  a menu pop-up button, which select
Output to:  Speaker, Line out, Headphone, Speaker + Line out,
Speaker + Headphone,  Line out + Headphone,  All outputs and
Mute output.  The
.I audioamd
has only two output methods: Speaker, Headphone.
.br
.IP Channels
.br
The  "Channels"  button  is  a toggle  button, which  select
channels: Stereo or Mono.  This button is available with the
dbri audio device. The channel can change when the device is
not busy.
.br
.IP Looping
.br
The "Looping" button is a toggle button, which on / off  play
looping.
.br
.IP Direction
.br
The  "Direction"  button  is  a toggle  button, which select
normal direction or reverse direction. At normal condition,
play a file from top to bottom.  At reverse condition, play
a file from bottom to top.
.br
.PP


Following  8 buttons are of control playing or pop-up record
control panel.

.DS
   |   ________    ________    ________    ________   |
   |  |  Play  |  |  Stop  |  | Pause  |  | RecPop |  |
   |   ~~~~~~~~    ~~~~~~~~    ~~~~~~~~    ~~~~~~~~   |
   |   ________    ________    ________    ________   |
   |  | Skip B |  |Search B|  |Search F|  | Skip F |  |
   |   ~~~~~~~~    ~~~~~~~~    ~~~~~~~~    ~~~~~~~~   |
.DE

.IP Play
.br
Click the "Play" button to start playing if file name
is loaded into file list.
.br
.IP Stop
.br
While playing, clicking the "Stop" button to stop playing.
.br
.IP Pause
.br
The "Pause" button is to pause audio device for playing.
.br
.IP Skip\ Backward
.br
While playing, clicking the "Skip B" button skips the
currently playing file BACKWARD.
.br
.IP Skip\ Forward
.br
While playing, clicking the "Skip F" button skips the
currently playing file FORWARD.
.br
.IP Search\ Backward
.br
While playing, clicking the "Search B" button moves file
pointer BACKWARD.
.br
.IP Search\ Forward
.br
While playing, clicking the "Search F" button moves file
pointer FORWARD.
.br
.IP Record\ Pop\-up
.br
Clicking  the "RecPop" button brings  up  the record control
panel.  If the  panel  was  already  visible,  clicking this
button removes it.
.PP


.SH \ \ File\ list\ area

The middle area of control panel is playing file list area. File names are
loaded by file select panel into this area. The currently file is marked
one. Clicking button 1 on other file name changes currently marked file. 
Double clicking button 1 or clicking middle button starts playing a
currently marked file. Clicking button 3 removes a currently marked file
from file list. 
.br
The file number and file display type (Base name / Full path name) field
are above the file list. You can change file display type by clicking this
field.

.SH \ \ File\ list\ control\ area

The bottom area of control panel is control file list area.
There are 5 buttons:
.br
.IP Load
.br
Clicking "Load" button brings up the file select panel.
.br
.IP Help
.br
Clicking "Help" button brings up the simple help panel.
.br
.IP Delete
Clicking "Delete" button removes a currently marked file
in the file list.
.br
.IP Delete\ All
.br
Clicking "Delete All" button removes all files loaded
into file list.
.br
.br
.IP Config
.br
Clicking "Config" button brings up the Configuration Panel.
.br
.PP

Following area, there are three string fields:
.br
.IP File\ Name
.br
The "File Name" field displays a currently file name in the
file list.
.br
.IP File\ Information
.br
The "File Info" field displays a currently file information in the
file list.
.br
.IP Configuration
.br
The "Config" field displays a currently file configuration
in the file list.
.br
.PP

.in -8n
.ad
.SH \ Configuration\ Panel
.PP

The configuration panel displays data conversions. There is three
types of conversion:

.br
.IP \ Change\ Encoding
.br
u-law <-> linear conversion.
.br
.IP \ Change\ Sample\ rate
.br
ex. 8000 Hz <-> 16000 Hz conversion.
.br
.IP \ Change\ Channel
.br
Stereo <-> Monaural conversion.
.br
.PP

And, you can set the "Stereo delay" value by Stereo delay slider.

.in -8n
.ad
.SH \ File\ Select\ Panel\ (File\ Panel)
.PP

The file panel is pop-upped by clicking "Load" button on the
Control panel. When panel split type, clicking "File Panel"
button on the main window brings up this panel. A file you
want to play is selected by this panel.
.br

There are four buttons on the top of this panel.

.br
.IP Load\ All
.br
The "Load All" button loads all files (except directory)
in the current directory viewer.
.br
.IP Re\-scan
.br
Clicking the "Rescan" button re-scans current directory.
.br
.IP Special
.br
Clicking the "Special" button brings up the special panel.
.br
.IP Pop\-down
.br
To pop-down the file panel, click right corner icon 
(pop-down button). 
.PP

The middle of this panel is the current directory viewer.
The current directory is displayed "Directory:" field.
Files in the viewer are scanned by search pattern from
the current directory.
Double clicking on the file name loads into the file list.

Following, there is a "Directory:" field for setting the
current directory. This field allows you to input string
when the mouse cursor on this field. To press return key
or clicking the "Directory:" button sets current directory
and re-scan it.

The "Pattern" field is for setting directory search pattern.
This field allows you to input string when the mouse cursor
on this field. File is searched according to the pattern of
this field.
.br
 '*' ... Match any (zero or more) characters.
.br
 '?' ... Match any single character.

.in -8n
.ad
.SH \ Special\ function\ panel\ (Special\ Panel)
.PP

Clicking the "Special" button on the file panel brings up
this panel. You can change new file name, new file information
and play gain scale. 
The marked file on the file panel is available to edit.
Clicking on other file name in the viewer changes edit-able file.
There are 3 fields that you can change.
.br
.IP "\fB1)\fP"
The "New File Name" field allows you to input new file name.
.br
.IP "\fB2)\fP"
The "New File Info" field allows you to input new file information.
.br
.IP "\fB3)\fP"
The "Play Gain Scale" field allows you to set adjustment play
gain scale. 
.br
.PP

Clicking the "Okay" button re-writes new values. Clicking the
"Cancel" button pops down this panel without re-write new values.

.in -8n
.ad
.SH \ Record\ Control\ Panel\ (Record\ Panel)
.PP

Clicking the "RecPop" button on the control panel brings up
this panel. There are 5 buttons in the top of Record Panel.

.IP "\fB Record Start Button\fP"
.br
After setting some fields, clicking this button starts recording.
.br
.IP "\fB Record Trigger Button\fP"
.br
While setting this button, clicking record start button begins
.I trigger mode.
.I Xplay
is waiting until sound comes in.
.br
.IP "\fB Record Stop Button\fP"
.br
While recording, clicking this button stops recording.
.br
.IP "\fB Record Pause Button\fP"
.br
Clicking this button pauses audio device. While pausing, this button
is in reverse, clicking again resume pausing.
.br
.IP "\fB Panel Popdown Button\fP"
.br
To pop-down Record Control Panel, click this button.
.br
.PP

Following area, there are three sliders.

.IP "\fB Record trigger gain slider\fP"
.br
Trigger level is set by this slider.
.br
.IP "\fB Record gain slider\fP"
.br
Record level is set by this slider.
.br
.IP "\fB Record balance slider\fP"
.br
Record balance is set by this slider. This slider is available
with the dbri audio device.
.br
.PP

Next, there are some fields that describe the configuration of
audio device.

.br
.IP "\fBSample Rate\fP"
.br
This field displays the sampling frequency, precision and
encoding.
.br
.IP "\fBInput\fP"
.br
This field displays the input method.
.br
.IP "\fBChannel\fP"
.br
This field denotes the channels (monaural/stereo) of audio device.
.br
.IP "\fBFile Size\fP"
.br
This field shows the length of the data.
.br
.IP "\fBRecord Time\fP"
.br
This field shows the length of the data, in the form hh:mm:ss.dd.
.br
.PP

You can change these fields on the Control Panel.
.br

Following fields allow you to input strings when the mouse cursor
is on the field. Set these values before start recording.
.br

.IP "\fBLimit Time\fP"
.br
This field allows you to set limit time of recording, in the form
hh:mm:ss.dd.  ex. 3:23 equals 3 minutes and 23 seconds. Hitting
Return in the text item or clicking the
.I Limit Time
button checks the string and moves mouse cursor to next field.
.br
.IP "\fBDirectory\fP"
.br
This field allows you to enter a directory path in which
to write audio files. Hitting Return in the text item or clicking the
.I Directory
button checks the directory existence and moves mouse cursor to
next field.
.br
.IP "\fBFile Name\fP"
.br 
You have to set a file name in which to write audio data in this field.
Hitting Return in the text item or clicking the 
.I File Name
button checks the file existence and moves mouse cursor to next field.
.br
.IP "\fBFile Info\fP"
.br
You can enter 80 characters of the information of the audio file in
this field. 
.br

.PP

.SH \ \ \ Note:

A limit time field, a directory field, a file name field and
a file info field must be set before start recording. You can't change
these fields  While recording, but You can change file name and
file information by the Special Panel.

.\" ****************  OPTIONS  ****************
.in -8n
.ad
.SH OPTIONS
.PP

The following non-widget resources can be set from the
command-line or in a resource file. As usual, when given on
the command line they can be abbreviated to their shortest
unique prefix, often the first letter.  Furthermore xplay
accepts all the standard
.I X Toolkit
options (see X(1)).

.IP "\fB\-split\fP"
.br
With this option, xplay is invoked as panel split type.
This option corresponds to the Split resource.
.br
.IP "\fB\-normal\fP"
.br
This is default type. This option corresponds to the Normal resource.
.br
.IP "\fB\-maxsize\ filesize\fP"
.br
This option sets the maximum size of output file (recording).
If you don't specify
this option, recording maximum file size is set 20M bytes.
This option corresponds to the Maxsize resource.
.IP "\fB\-pattern\ pattern\fP"
This option sets the pattern for directory searching.
File is searched according to this pattern.
.br
 '*' ... Match any (zero or more) characters.
.br
 '?' ... Match any single character.
.br

.IP "\fB\-unadjust\fP"
The "play gain adjust function" is unavailable by this option.
This option corresponds to the Unadjust resource.
.IP "\fB\-stereo delay\fP"
This option sets the delay of semi-stereo function. 
Semi-stereo function makes semi-stereo effect when a monaural file
is playing. The same data is sent right and left with a little delay.
Setting this option 0 is unavailable semi-stereo function.
.br

.IP "\fB\-percent (default)\fP"
Playing file pointer is displayed in percent description (%).
.br
.IP "\fB\-time\fP"
Playing file pointer is displayed in time description (mm:ss).
.br

.IP "\fB\-fullpath (default)\fP"
Files in file list are displayed in full path name.
.br

.IP "\fB\-basename\fP"
Files in file list are displayed in basename.
.br

.IP "\fB\-directory\ directory\fP"
.br
This option sets the directory for search play file. If no
directory is specified, current directory is set.
This option corresponds to the Directory resource.
.br
.IP "\fB\-help\fP"
.br
This option prints the usage message summarizing xplay options.
.br
.PP

.\" ****************  CUSTOMIZING  ****************
.in -8n
.ad
.SH CUSTOMIZING\ XPLAY
.PP

.I Xplay
has a default set of resources built in. If you wish
to customize the tool, take a copy of the resource example
(XPlay.ad.*) and modify it. Then, before invoking xplay, 
you can place entries in your .Xdefaults file
or provide them with the -xrm toolkit option.


.\" ****************  OTHER  ****************
.in -8n
.ad
.SH OTHER\ FUNCTIONS
.PP

Xplay has some special functions.
.br
.IP Playing\ linear\ format\ file\ by\ audioamd\ device
.br
.br
The
.I audioamd
device (
.I SPARCstation 1 or 2...
) can deal with only 8000Hz, monaural, u-law format, but
xplay converts linear format to u-law format and plays it. So,
.I audioamd
user can play linear format files.
.br

.IP Playing\ files\ having\ different\ sample\ rate\ from\ default\ ones
.br
.br
The
.I audioamd
device can deal with only 8000Hz, u-law. The
.I dbri
device can deal with 8000, 9600, 11025, 16000, 18900,
22050, 32000, 37800?, 44100 and 48000Hz. So, these device
can't deal with 8012Hz, for example. Xplay tries playing
this file as 8000Hz. Xplay can play a file that has a difference
of 10%.
.br

.IP Reverse\ play
.br
When the "Reverse" button on the Control Panel is enabled, a file
is played from file end to file top.
.br

.IP Multi\ Language\ support
.br
You can use multi language at file information fields. Set environment
variable LANG. 
.br
.PP

.\" ****************  Thanks to  ****************
.in -8n
.ad
.SH CONTRIBUTOR
.PP
The u-law conversion code come from Jef Poskanzer's libst package.
See the file libst.h.

.\" ****************  AUTHOR  ****************
.in -8n
.ad
.SH AUTHOR
.PP

Atsushi Hirahara, School of Science and Engineering,
Waseda University (hirahara@fuka.info.waseda.ac.jp)

